Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Document table
Target version: 2.6.0-3302
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al realizar filtros por campos Timestamp en el Buscador por atributos cuando se incluye un AND el resultado siempre es el total de
elementos. Adjunto tabla, y el campo Fecha_hora es de tipo Timestamp.

La Consulta realizada es:
Fecha_hora es mayor que '2019-01-19 23:30:00' 
Y 
Fecha_hora es menor que '2019-01-21 23:40:00'

Deben salir 4 filtrados pero salen todos.

Adjunto log.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5516: Error en el filtro... Won't fix 11/30/2020

History
#1 - 11/30/2020 01:38 PM - Mario Carrera
- Related to gvSIG bugs #5516: Error en el filtro por campos Timestamp en el gestor de expresiones added

#2 - 01/19/2023 07:38 PM - Joaquín  del Cerro Murciano
- Target version set to 2.6.0-3302
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Invalid

El formato de fecha que se estaba usando es incorrecto.
Se estaba usando un formato de fecha de AÑO-DIA-MES cuando el correcto es AÑO-MES-DIA para los campos timestamp.
Usando el formato correcto se obtiene el resultado esperado.
prueba_timestamp.csv 7.35 KB 11/30/2020 Mario Carrera
